<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<vp-list
		*ngIf="electionContest.hasListQuestion"
		[contestUserData]="contestUserData"
		[electionContest]="electionContest"
		[rightColumnTemplate]="listActions"
>
	<ng-template #listActions let-list="list">
		<div class="d-flex flex-column align-items-end gap-2">
			<button
					(click)="openListSelectionModal()"
					class="btn btn-outline-dark w-100"
					type="button"
			>
				<ng-container *ngIf="list; else chooseList">
					<span>{{ 'listandcandidates.change' | translate }}</span>
					<span class="visually-hidden">
            {{ 'listandcandidates.currentlistis' | translate }}
						{{ list.details.listType_attribute1 }}
          </span>
				</ng-container>

				<ng-template #chooseList>
					<span aria-hidden="true">{{ 'listandcandidates.choose' | translate }}</span>
					<span class="visually-hidden">{{ 'listandcandidates.chooselist.screenreader' | translate }}</span>
				</ng-template>
			</button>
			<button
					(click)="clearList()"
					*ngIf="list"
					class="btn btn-link"
					type="button"
			>
				<vp-icon name="x-lg"></vp-icon>
				<span>{{ 'listandcandidates.list.clear' | translate }}</span>
				<span class="visually-hidden">
          {{ 'listandcandidates.currentlistis' | translate }}
					{{ list.details.listType_attribute1 }}
        </span>
			</button>
		</div>
	</ng-template>
</vp-list>
